
QGIS Application - Bug report #18052

QGIS 2.18 can no longer be installed on Debian unstable

2018-02-06 02:38 PM - Éric Lemoine

Status: Closed

Priority: High

Assignee: Jürgen Fischer

Category: Build/Install

Affected QGIS version:2.18.16 Regression?: Yes

Operating System: Linux Debian sid Easy fix?: No

Pull Request or Patch supplied:No Resolution: wontfix

Crashes QGIS or corrupts data:No Copied to github as #: 25948

Description

I am trying to install QGIS 2.18 on Debian unstable/sid through the Debian packages on http://qgis.org/debian/. The installation of the

qgis-providers package (a dependency of the qgis package) fails with the following error:

qgis-providers : Depends: libqca2-plugin-ossl but it is not installable

The libqca2-plugin-ossl package indeed doesn't exist anymore. It was replaced by the libqca2-plugins package in Debian sid.

Related issues:

Duplicates QGIS Application - Bug report # 17615: Can't install latest QGIS 2... Closed 2017-12-04

History

#1 - 2018-02-06 02:50 PM - Jürgen Fischer

- Status changed from Open to Closed

- Assignee set to Jürgen Fischer

- Resolution set to wontfix

Already fixed in the nightlies.  The release packages will not change until the next point release.

#2 - 2018-02-06 04:54 PM - Éric Lemoine

Jürgen Fischer wrote:

Already fixed in the nightlies.  The release packages will not change until the next point release.

So until 2.18.17 people on Debian unstable/sid cannot install QGIS 2.18 using packages on qgis.org/debian. That's a bit of a shame :)

#3 - 2018-02-07 08:46 AM - Jürgen Fischer

Éric Lemoine wrote:

So until 2.18.17 people on Debian unstable/sid cannot install QGIS 2.18 using packages on qgis.org/debian.

Correct. See note on https://qgis.org/en/site/forusers/alldownloads.html#debian-ubuntu.  What's the problem with installing the nightlies instead?  You're

using unstable anyway.
#4 - 2018-02-07 09:12 AM - Éric Lemoine

Jürgen Fischer wrote:

Éric Lemoine wrote:

So until 2.18.17 people on Debian unstable/sid cannot install QGIS 2.18 using packages on qgis.org/debian.

Correct. See note on https://qgis.org/en/site/forusers/alldownloads.html#debian-ubuntu.  What's the problem with installing the nightlies instead? 

You're using unstable anyway.

I am using Debian unstable, but I don't want to use QGIS unstable :) The nightlies are QGIS 2.99, no? I want to use QGIS 2.18 on Debian unstable.

Thanks for your responses.

#5 - 2018-02-07 09:14 AM - Jürgen Fischer

Éric Lemoine wrote:

I am using Debian unstable, but I don't want to use QGIS unstable :) The nightlies are QGIS 2.99, no?

Depends on what repository you choose - there are nightlies of master, but also of the two release branches.  See right below the note on 

https://qgis.org/en/site/forusers/alldownloads.html#debian-ubuntu

#6 - 2018-02-07 09:15 AM - Éric Lemoine

Jürgen Fischer wrote:

Éric Lemoine wrote:

I am using Debian unstable, but I don't want to use QGIS unstable :) The nightlies are QGIS 2.99, no?

Depends on what repository you choose - there are nightlies of master, but also of the two release branches.

Oh you mean https://qgis.org/debian-nightly-release/. I had missed that. I'll give it a try. Thanks a lot!

#7 - 2018-02-07 11:13 AM - Éric Lemoine

Éric Lemoine wrote:

Oh you mean https://qgis.org/debian-nightly-release/. I had missed that. I'll give it a try. Thanks a lot!

https://qgis.org/debian-nightly-release/ works great. Thanks again.

#8 - 2018-02-08 07:20 PM - Jürgen Fischer
- Duplicates Bug report #17615: Can't install latest QGIS 2.18.14 with ubuntugis dependencies on Linux Mint 18 (/ubuntu 16.04)  added
